import { defineStore } from "pinia";

export const useAppStore = defineStore("app", {
  state: () => ({
    devSidebarCollapsed: false,
  }),
  actions: {
    toggleDevSidebar() {
      this.devSidebarCollapsed = !this.devSidebarCollapsed;
    },
    setDevSidebarCollapsed(val) {
      this.devSidebarCollapsed = !!val;
    },
  },
});
